<?php
/**
* Plugin Name: Edited to Pending Review
* Plugin URI: https://kenyayote.com/category/wordpress/
* Description: This plugin performs a simple task of moving edited products or posts to pending Review.
* Version: 1.2
* Author: Elvis Nyakangi
* Author URI: https://twitter.com/elvisnyakangi
**/

add_action('save_post', 'kenyayote_edited_to_pending', 25 );
 
function kenyayote_edited_to_pending($post_id) {
 
    if (empty($post_id)) {
        return;
    }
 
    $post = get_post($post_id);
    if (!is_object($post)) { 
        return;
    }
 
    if ($post->post_type=='revision') {
       return;
    }
 
    $current_user = wp_get_current_user();    
    if (in_array('contributor', $current_user->roles) && $post->post_status=='publish') {
        $my_post = array(
            'ID' => $post_id,
            'post_status' => 'pending',
        );
 
        remove_action('save_post', 'kenyayote_edited_to_pending', 25);
        wp_update_post($my_post);
        add_action('save_post', 'kenyayote_edited_to_pending', 25);
    }
}